Package org.bukkit.event.player

# Class PlayerChangedMainHandEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerChangedMainHandEvent

public class PlayerChangedMainHandEvent extends PlayerEvent
Called when a player changes their main hand in the client settings.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerChangedMainHandEvent(@NotNull Player who, @NotNull MainHand mainHand)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull MainHand`
`getMainHand()`
Gets the new main hand of the player.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerChangedMainHandEvent

public PlayerChangedMainHandEvent(@NotNull @NotNull Player who, @NotNull @NotNull MainHand mainHand)

## Method Details

### getMainHand

@NotNull public @NotNull MainHand getMainHand()
Gets the new main hand of the player. The old hand is still momentarily available via `HumanEntity.getMainHand()`.

Returns:
  the new `MainHand` of the player

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()